Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface ConcurrentMethodType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ConcurrentMethodTypeImpl

    public interface ConcurrentMethodType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `concurrent-methodType` xsd type

Original Documentation:

The concurrent-methodType specifies information about a method
of a bean with container managed concurrency.
The optional lock element specifies the kind of concurrency
lock asssociated with the method.
The optional access-timeout element specifies the amount of
time (in a given time unit) the container should wait for a
concurrency lock before throwing an exception to the client.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`AccessTimeoutType<ConcurrentMethodType<T>>` | `accessTimeout()` If not already created, a new `access-timeout` element will be created and returned.
`ConcurrentLockTypeType` | `getLock()` Returns the `lock` element
`java.lang.String` | `getLockAsString()` Returns the `lock` element
`NamedMethodType<ConcurrentMethodType<T>>` | `method()` If not already created, a new `method` element will be created and returned.
`ConcurrentMethodType<T>` | `removeAccessTimeout()` Removes the `access-timeout` element
`ConcurrentMethodType<T>` | `removeMethod()` Removes the `method` element
`ConcurrentMethodType<T>` | `setLock(ConcurrentLockTypeType lock)` If not already created, a new `lock` element with the given value will be created.
`ConcurrentMethodType<T>` | `setLock(java.lang.String lock)` If not already created, a new `lock` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeMethod

    ConcurrentMethodType<T> removeMethod()

  Removes the `method` element

  Returns:
    the current instance of `ConcurrentMethodType`

### method

    NamedMethodType<ConcurrentMethodType<T>> method()

  If not already created, a new `method` element will be created and returned. Otherwise, the existing `method` element will be returned.

  Returns:
    the node defined for the element `method`

### setLock

    ConcurrentMethodType<T> setLock(ConcurrentLockTypeType lock)

  If not already created, a new `lock` element with the given value will be created. Otherwise, the existing `lock` element will be updated with the given value.

  Returns:
    the current instance of `ConcurrentMethodType`

### setLock

    ConcurrentMethodType<T> setLock(java.lang.String lock)

  If not already created, a new `lock` element with the given value will be created. Otherwise, the existing `lock` element will be updated with the given value.

  Returns:
    the current instance of `ConcurrentMethodType`

### getLock

    ConcurrentLockTypeType getLock()

  Returns the `lock` element

  Returns:
    the node defined for the element `lock`

### getLockAsString

    java.lang.String getLockAsString()

  Returns the `lock` element

  Returns:
    the node defined for the element `lock`

### removeAccessTimeout

    ConcurrentMethodType<T> removeAccessTimeout()

  Removes the `access-timeout` element

  Returns:
    the current instance of `ConcurrentMethodType`

### accessTimeout

    AccessTimeoutType<ConcurrentMethodType<T>> accessTimeout()

  If not already created, a new `access-timeout` element will be created and returned. Otherwise, the existing `access-timeout` element will be returned.

  Returns:
    the node defined for the element `access-timeout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD